
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>vue 项目使用局域网多端访问并实时自动更新（利用 browser-sync） / 憋错料</title>

    <meta name="description" content="vue 项目使用局域网多端访问并实时自动更新（利用 browser-sync） 在写vue的项目中时,虽然vue会自动更新页面,但是切换页面切来切去也很麻烦,有时候我们还要在公司另一台电脑或者手机上调试,这时候利用browser-sync插件,无需改动vue的代码即可实现: 1. 首先确保安装了node (命令行node -v 可以查看) 2.全局安装 browser-sync      npm install -g browser-sync (项目中局部安装  npm install --save-dev browser-sync) 3.启动vue项目 npm run d">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">vue 项目使用局域网多端访问并实时自动更新（利用 browser-sync）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在写vue的项目中时，虽然vue会自动更新页面，但是切换页面切来切去也很麻烦，有时候我们还要在公司另一台电脑或者手机上调试，这时候利用browser-sync插件，无需改动vue的代码即可实现：</p>
<p>1. 首先确保安装了node （命令行node -v 可以查看）</p>
<p>2.全局安装&nbsp;browser-sync &nbsp; &nbsp; &nbsp;<code>npm install -g browser-sync （</code>项目中局部安装&nbsp;&nbsp;<code>npm install --save-dev browser-sync）</code></p>
<p>3.启动vue项目 npm run dev</p>
<p>4.让localhost:8080服务开着，然后到项目文件中使用git bash 或者cmd 输入：</p>
<p>browser-sync start --proxy ‘localhost:8080‘ --files ‘**‘</p>
<p>成功后显示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA5LzIwMTkwOTMwMTQ0NTE1Mzg3MjA3LnBuZw==.jpg" /></p>
<p>5. 这时候localhost:3000就是你项目被监听的地址，把localhost换成你的电脑ip地址（比如： <a href="http://192.168.3.18:3000/#/" rel="external nofollow noreferrer">http://192.168.1.18:3000/</a>），然后在同一个局域网下，手机，电脑都可以实时显示你的项目啦，就这么简单，无需改动源码</p>
<p>附上&nbsp;browser-sync 文档地址：<a href="http://www.browsersync.cn/" rel="external nofollow noreferrer">http://www.browsersync.cn/</a></p>

<p>原文地址：https://www.cnblogs.com/wiliam/p/11612536.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 18:53:00 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/image/" title="image">image</a>, <a href="https://www.biecuoliao.com/tag/files/" title="files">files</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/%e6%9b%b4%e6%96%b0/" title="更新">更新</a>, <a href="https://www.biecuoliao.com/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.biecuoliao.com/tag/syn/" title="syn">syn</a>, <a href="https://www.biecuoliao.com/tag/mamicode/" title="mamicode">mamicode</a>, <a href="https://www.biecuoliao.com/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.biecuoliao.com/tag/sersync/" title="sersync">sersync</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>vue 项目使用局域网多端访问并实时自动更新（利用 browser-sync）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k8kKp3.html" rel="bookmark">Vue项目无法使用局域网IP直接访问的配置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般使用 vue-cli 下来的项目是可以直接访问局域网 IP 打开的,比如 192.168.1.11:8080 .但是最近公司的一个项目只可以通过 localhost 访问. 需要配置一下,才可直接用局域网 IP 访问,方法如下: 给 dev 添加--host 0.0.0.0 属性: &quot;scripts&quot;: {   &quot;dev&quot;: &quot;webpack-dev-server --inline --progress --config build/webpack.d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ow66K3.html" rel="bookmark">VUE项目如何在移动端查看打印日志（console&period;log）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目中发现,由于移动端无法看到打印的信息,所以很难进行调试,也不知道问题出在哪里,后来找到了一个好用的插件:vConsole. 1.安装 npm install vconsole 2.在main.js中引入 import Vconsole from 'vconsole'; let vConsole = new Vconsole(); export default vConsole 编译你的vue项目,用移动端打开项目就可以看到绿色的vconsole图标 vconsole图标 点开这个图标,就能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGk29ZM.html" rel="bookmark">&lbrack;记录&rsqb;解决vue项目当直接通过url访问中间页时nginx返回404的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				应用为VUE单页应用,路由模式为history,web服务器为nginx,正常情况下如果直接通过url访问一个中间页(不是index.html)时,会看到nginx返回的404错误,这个问题目前我只能通过修改nginx站点配置文件来实现. 具体代码(只看红色加粗的部分就行): server { listen 80; server_name ……; index index.php index.html index.htm default.php default.htm default.html;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lwYkbM.html" rel="bookmark">vue项目中h5移动端中通过flex布局实现首尾固定，中间滚动（借鉴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				html中 &lt;div class=&quot;flexLayoutr&quot;&gt; &lt;div class=&quot;div_head&quot;&gt;&lt;/div&gt; &lt;div class=&quot;div_content&quot;&gt;中间区域&lt;/div&gt; &lt;div class=&quot;div_foot&quot;&gt;&lt;/div&gt; &lt;/div&gt; css中 *{ margin: 0; padding: 0; } .			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qBegG4.html" rel="bookmark">Vue 项目部署到GitHub Pages并同步到Gitee Pages</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:相信很多前端开发者都拥有自己的vue项目,若想把自己的项目做成网站分享给大家看,最常用的就是利用Github提供的GitHub Pages服务和Gitee提供的Gitee Pages服务.其中,Github是国外网站,Gitee是国内网站(访问速度较快).本文给大家介绍的是如何将 vue-cli 3.0+项目部署到github pages 并同步到 gitee Pages上. 一.服务说明与注意事项 在你的github项目设置的GitHub Pages项,有这么一句话: GitHub Pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Zq2vM.html" rel="bookmark">WinForm通用自动更新器AutoUpdater项目实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.项目背景介绍 最近单位开发一个项目,其中需要用到自动升级功能.因为自动升级是一个比较常用的功能,可能会在很多程序中用到,于是,我就想写一个自动升级的组件,在应用程序中,只需要引用这个自动升级组件,并添加少量代码,即可实现自动升级功能.因为我们的程序中可能包含多个类型的文件,比如exe.dll. config.xml.bat等等自定义格式的后缀名文件,所以要支持多文件类型的更新. 本期同样带给大家分享的是阿笨在实际工作中遇到真实项目场景,请跟随阿笨的视角去如何开发实现WinForm通用自动更新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q9ZLl4.html" rel="bookmark">如何在Vue项目中使用vw实现移动端适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.w3cplus.com/mobile/vw-layout-in-vue.html  原文网址 如何在Vue项目中使用vw实现移动端适配 作者:大漠 日期:2018-01-25 点击:10362 vw Layout 布局 Vue mobile 编辑推荐:使用 Coding.net 搭建静态博客,自定义域名,全站 HTTPS 加密,自动实时部署, 立即托管您的网站! 有关于移动端的适配布局一直以来都是众说纷纭,对应的解决方案也是有很多种.在&lt;使用Flexible实现手淘H5页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dvV294.html" rel="bookmark">转：如何在Vue项目中使用vw实现移动端适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.w3cplus.com/mobile/vw-layout-in-vue.html 有关于移动端的适配布局一直以来都是众说纷纭,对应的解决方案也是有很多种.在&lt;使用Flexible实现手淘H5页面的终端适配&gt;提出了Flexible的布局方案,随着viewport单位越来越受到众多浏览器的支持,因此在&lt;再聊移动端页面的适配&gt;一文中提出了vw来做移动端的适配问题.到目前为止不管是哪一种方案,都还存在一定的缺陷.言外之意,还没有哪一个方案是完美的. 事实上真的不完美			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r8KPwM.html" rel="bookmark">vue 项目通过本地访问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.查询ip地址 win+R打开cmd 窗口 输入ipconfig 找到IPV4地址   192.168.x.xxx 2.在vue项目config文件夹中的index.js,将localhost换为ipv4地址 host: '192.168.x.xxx', // can be overwritten by process.env.HOST port: 8080, // can be overwritten by process.env.PORT, if port is in use, a fre			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OxQK4.html" rel="bookmark" class="title">标题栏的滚动--javascript</a>
					<div>
						&lt;html&gt;&lt;head&gt;&lt;title&gt;山西众创金融&lt;/title&gt;&lt;/head&gt; function init(){ //1.拿到标题栏的文本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VPZ24.html" rel="bookmark" class="title">浅谈下一代Windows Server的RDS</a>
					<div>
						Windows 10的正式版即将在本月正式发布了,而目前Windows Server的下一版本还处于技术预览版,那么到底在下一版本的RDS中有什么新变化呢? 在这里我其实更关注vGPU的变化,因为在建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNXGB3.html" rel="bookmark" class="title">GetUserLoginID</a>
					<div>
						Pascal Code 12345678910111213141516171819202122232425262728293031323334353637383940414243   unit Get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBOdy0.html" rel="bookmark" class="title">操作数据库的魔法函数</a>
					<div>
						function bind(){ global $dbhost,$dbuser,$db,$dbpass; //首先我们不知道外面会传入多少个参数//可以用func_get_args()方法来获取全部传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyBPr4.html" rel="bookmark" class="title">通过Navicat将Excel表中的数据导入到数据库</a>
					<div>
						Navicat.Excel 1)首先创建测试表“student”,表结构为: 2)然后准备编写好的Excel数据表: 3)在Navicat选择student表,右键“导入向导”,弹出如下窗口,我们选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrqEW4.html" rel="bookmark" class="title">【BZOJ-4692】Beautiful Spacing          二分答案 &plus; 乱搞（DP？）</a>
					<div>
						4692: Beautiful Spacing Time Limit: 15 Sec  Memory Limit: 128 MBSubmit: 46  Solved: 21[Submit][Statu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEke5y3.html" rel="bookmark" class="title">我的android学习经历22</a>
					<div>
						eclipse自动退出 今天打开eclipse的时候出现自动退出,也就是打不开了 我上网查了一下,把工作区间改了一下就好了 修改默认工作区间的如下:(不是默认的话直接修改就好) eclipse\con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wvJVj0.html" rel="bookmark" class="title">nginx部署lua环境</a>
					<div>
						系统环境 # uname -r 3.10.0-229.el7.x86_64 # cat /etc/redhat-release CentOS Linux release 7.1.1503(Core)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB1xqZ4.html" rel="bookmark" class="title">V-Ray Adv for 3dsmax 2012 for x86安装</a>
					<div>
						1.next 2.I agree 3.I agree 4.默认next 5.第一框设置为3ds Max的根目录,第二框设置为3ds Max根目录下的plugins目录,其他两框默认. 6.默认next ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xReDz4.html" rel="bookmark" class="title">计算机图形学 复习笔记</a>
					<div>
						计算机图形学 复习笔记 (个人整理,仅做复习用 :D,转载注明出处:http://blog.csdn.net/hcbbt/article/details/42779341) 第一章 计算机图形学综述  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAOgg0.html" rel="bookmark" class="title">hdu5024 网络赛水题</a>
					<div>
						不用多想  暴力撸就行     枚举每个点   向四周延伸的两条最远距离   最多能转一次90度的弯 #include&lt;stdio.h&gt; #include&lt;string.h&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKbra4.html" rel="bookmark" class="title">css 清除浮动的各种方法</a>
					<div>
						1.为什么要清除浮动 在网页中,DIV一般都是嵌套的,外面称为窗口,里面的DIV存放内容,如果不浮动的话,如下面这段代码&lt;div style=”background:#ccc;”&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rlK1M.html" rel="bookmark" class="title">MyBatis3：SQL映射</a>
					<div>
						前言 前面学习了config.xml,下面就要进入MyBatis的核心SQL映射了,第一篇文章的时候,student.xml里面是这么写的: &lt;?xml version=&quot;1.0&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDL8qM.html" rel="bookmark" class="title">rpm与yum实现程序包的管理</a>
					<div>
						rpm命令 rpm命令是RPM软件包的管理工具.rpm原本是Red Hat Linux发行版专门用来管理Linux各项套件的程序,由于它遵循GPL规则且功能强大方便,因而广受欢迎.逐渐受到其他发行版的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rk1m14.html" rel="bookmark" class="title">第三节、矩阵乘法</a>
					<div>
						我们之前已经接触了一些矩阵乘法的规则,现在来系统地学习一下. 一.基本要求 并不是随便拿两个矩阵就可以作矩阵乘法,想要做矩阵乘法,必须满足以下要求: 第一个矩阵的列数等于第二个矩阵的行数. 即如果第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1eyR0.html" rel="bookmark" class="title">Java访问权限</a>
					<div>
						时间:2016年1月7日10:41:15 访问权限 类 包 子类 其他类 public yes yes yes yes protected yes yes yes no default yes yes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rz7bb3.html" rel="bookmark" class="title">eclipse 一些插件地址</a>
					<div>
						tomcat插件:http://www.eclipsetotale.com/tomcatPlugin.html SVN插件:a.官方下载网站:http://subclipse.tigris.org/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVq6bQ4.html" rel="bookmark" class="title">为啥User-agent总是有Mozilla字样？</a>
					<div>
						你是否好奇标识浏览器身份的User-Agent,为什么每个浏览器都有Mozilla字样? Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNk8K0.html" rel="bookmark" class="title">登录程序</a>
					<div>
						#!/usr/bin/env python'''1.输入用户名密码2.认证成功后显示欢迎信息3.输错三次后锁定(锁定以后不能登录)user.txt 存放被锁定用户'''n = 0user_passwd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mobz8l4.html" rel="bookmark" class="title">运维人员如何才能发展到月收入10万公开课</a>
					<div>
						当初2005年创办培训班(老男孩教育之前的事)时,被问及为什么要开培训班?,老男孩当时的回答是&quot;普及中国IT教育&quot;,2007年开始创办老男孩教育以后,再被问及为什么要开培训班?老男 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
